/**************************************************************************

    config.cpp  - KPager config dialog
    Copyright (C) 2000  Antonio Larrosa Jimenez <larossa@kde.org>
    Copyright (C) 2010-2011  Pino Toscano <pino@kde.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    Send comments and bug fixes to larrosa@kde.org

***************************************************************************/

#include "config.moc"

#include <settings.h>

KPagerConfigDialog::KPagerConfigDialog (QWidget *parent)
  : KConfigDialog(parent, "configdialog", Settings::self())
{
    setCaption( i18n("Configuration") );
    setButtons(Ok | Apply | Cancel);
    setObjectName( "configdialog" );
    showButtonSeparator( true );
    setFaceType(KPageDialog::Plain);

    QWidget *main = new QWidget(this);
    m_ui.setupUi(main);
#ifndef CAN_LOAD_BACKGROUND
    m_ui.kcfg_showBackground->hide();
#endif
    main->layout()->setMargin(0);
    KPageWidgetItem *item = addPage(main, "main");
    item->setHeader(""); // hide the header

    setMinimumSize(360, 160);
}
